Page MenuHomePhabricator

1.34.0-wmf.11 deployment blockers
Closed, ResolvedPublicRelease

Details

2019 week 26 1.34-wmf.11 Changes wmf/1.34.0-wmf.11

This MediaWiki Train Deployment is scheduled for the week of Monday, June 24th:

Monday June 24thTuesday, June 25thWednesday, June 26thThursday, June 27thFriday
SWAT deployments only.Branch wmf.11 and deploy to Group 0 Wikis.Deploy wmf.11 to Group 1 Wikis.Deploy wmf.11 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.11 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.34.0-wmf.10
Next: 1.34.0-wmf.12

Event Timeline

mmodell created this task.Apr 11 2019, 6:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2019, 6:15 PM
mmodell triaged this task as Medium priority.Apr 11 2019, 7:11 PM
mmodell assigned this task to jeena.Jun 25 2019, 6:41 PM

Mentioned in SAL (#wikimedia-operations) [2019-06-25T18:45:04Z] <longma> cutting the branch f or 1.34.0-wmf.11 T220736

Change 519274 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] group1 wikis to 1.34.0-wmf.11 refs T220736

https://gerrit.wikimedia.org/r/519274

Change 519274 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.34.0-wmf.11 refs T220736

https://gerrit.wikimedia.org/r/519274

Mentioned in SAL (#wikimedia-operations) [2019-06-26T19:06:45Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.34.0-wmf.11 refs T220736

Mentioned in SAL (#wikimedia-operations) [2019-06-26T19:08:41Z] <jhuneidi@deploy1001> Synchronized php: group1 wikis to 1.34.0-wmf.11 refs T220736 (duration: 00m 56s)

Change 519489 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] all wikis to 1.34.0-wmf.11 refs T220736

https://gerrit.wikimedia.org/r/519489

Change 519489 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.34.0-wmf.11 refs T220736

https://gerrit.wikimedia.org/r/519489

Mentioned in SAL (#wikimedia-operations) [2019-06-27T19:23:43Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: all wikis to 1.34.0-wmf.11 refs T220736

greg closed this task as Resolved.Jun 28 2019, 4:55 PM
greg added a subscriber: greg.

Good work on your inaugural train!